version: '3'
services:
  file-finder:
    build:
      context: ./app_1 # Путь к первому приложению
      dockerfile: Dockerfile
    volumes:
      - C:/Users/Admin/Desktop/УлГТУ/Распределенные вычисления и приложения/DAS_2024_1/emelyanov_artem_lab_2/data:/var/data # Монтируем директорию с файлами
      - shared-result:/var/result

  number-processor:
    build:
      context: ./app_2 # Путь ко второму приложению
      dockerfile: Dockerfile
    depends_on:
      - file-finder
    volumes:
      - shared-result:/var/result

volumes:
  shared-result:  # Объявляем общий том
